get

/v4/internal/payload/jobs/{jobId}

Get the status of an async Safe file analysis job. Poll this endpoint to check progress and retrieve results when completed.

Path parameters

jobIdstring
required

Responses

200
Response for status 200
Schema
object
jobIdstring
required
Unique job identifier
statusenum
required
pendingprocessingcompletedfailed
progressnumberProgress percentage of the job (0-100)
resultany
required
Result of the job if completed
errorstringError message if job failed
createdAtnumber
required
Timestamp when job was created
completedAtnumberTimestamp when job completed
durationSecondsnumber
required
Duration of the job in seconds (elapsed time if still processing, final duration if completed)
Example
{
  "jobId": "string",
  "status": "pending",
  "progress": 0,
  "result": null,
  "error": "string",
  "createdAt": 0,
  "completedAt": 0,
  "durationSeconds": 0
}
get
https://api.merkl.xyz/v4/internal/payload/jobs/{jobId}
Merkl API
curl -X GET "https://api.merkl.xyz/v4/internal/payload/jobs/{jobId}"
Fill the required path parameter jobId to send.